org.bouncycastle.cms

## Class CMSConfig

- java.lang.Object
- - org.bouncycastle.cms.CMSConfig

    public class CMSConfig
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CMSConfig()`

### Method Summary

Methods
`static void` `setSigningDigestAlgorithmMapping(java.lang.String oid, java.lang.String algorithmName)` Set the mapping for the digest algorithm to use in conjunction with a SignedData generation or interpretation.
`static void` `setSigningEncryptionAlgorithmMapping(java.lang.String oid, java.lang.String algorithmName)` Set the mapping for the encryption algorithm used in association with a SignedData generation or interpretation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSConfig

    public CMSConfig()

### Method Detail

#### setSigningEncryptionAlgorithmMapping

    public static void setSigningEncryptionAlgorithmMapping(java.lang.String oid,
                                            java.lang.String algorithmName)

Set the mapping for the encryption algorithm used in association with a SignedData generation or interpretation.

Parameters:
  `oid` - object identifier to map.
  `algorithmName` - algorithm name to use.

#### setSigningDigestAlgorithmMapping

    public static void setSigningDigestAlgorithmMapping(java.lang.String oid,
                                        java.lang.String algorithmName)

Set the mapping for the digest algorithm to use in conjunction with a SignedData generation or interpretation.

Parameters:
  `oid` - object identifier to map.
  `algorithmName` - algorithm name to use.